@import url('https://fonts.googleapis.com/css2?family=Fira+Code:wght@700&display=swap');

body {
  margin: 0;
  padding: 0;
  overflow: hidden;
  font-family: 'Fira Code', monospace;
  background: #000;
}

#matrix {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.container {
  position: relative;
  z-index: 1;
  text-align: center;
  margin-top: 15%;
  color: #ffffff;
}

/* Entrance animation keyframes */
@keyframes fadeInScale {
  0% {
    opacity: 0;
    transform: scale(0.5) translateY(20px);
  }
  100% {
    opacity: 1;
    transform: scale(1) translateY(0);
  }
}


.title {
  font-size: 4rem;
  
  margin: 0;
  text-shadow: 2px 2px 4px rgba(0,0,0,0.7);
  animation: fadeInScale 1s ease-out forwards;
}

/* Delay discord link fade-in */
.discord-link {
  display: inline-flex;
  align-items: center;
  margin-top: 20px;
  text-decoration: none;
  color: #ffffff;
  opacity: 0;
  animation: fadeInScale 1s ease-out 0.5s forwards;
}

.discord-login {
  padding: 0.8rem;
  border-radius: 50rem;
  background-color: rgb(0, 49, 82);
  display: inline-flex;
  align-items: center;
  margin-top: 20px;
  text-decoration: none;
  color: #ffffff;
  opacity: 0;
  animation: fadeInScale 1s ease-out 0.5s forwards;
}

.discord-icon {
  width: 32px;
  height: 32px;
  margin-right: 10px;
}

.discord-text {
  font-size: 1.1rem;
  background-color: rgba(255, 255, 255, 0.2);
  padding: 4px 8px;
  border-radius: 4px;
}

.discord-login-text{
    font-size: 1.1rem;
    border-radius: 4px;
}


/* Hover effect */
.discord-link:hover {
  transform: translateY(-3px);
}

.discord-login:hover {
    transform: translateY(-3px);
}

.button-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    /* ช่องไฟระหว่างปุ่ม */
    margin-top: 30px;
}
